## SYNOPSIS

           mkzftree [OPTIONS]... INPUT OUTPUT

## DESCRIPTION

           Takes  an input file tree (INPUT) and create a correspond
           ing compressed file tree (OUTPUT) that can be used with an
           appropriately  patched mkisofs(8) to create a transparent-
           compression iso9660/RockRidge filesystem  using  the  "ZF"
           compression records.

           -f, --force
                  Always  compress all files, even if they get larger
                  when compressed.

           -z level, --level level
                  Select compression level (1-9, default is 9).

           -u, --uncompress
                  Uncompress an already compressed tree.  This can be
                  used  to  read  a compressed filesystem on a system
                  which cannot read them natively.

           -p parallelism, --parallelism parallelism
                  Compress in parallel.  The parallelism value  indi
                  cates  how  many compression threads are allowed to
                  run.

           -x, --one-filesystem
                  Do not  cross  filesystem  boundaries,  but  create
                  directory stubs at mount points.

           -X, --strict-one-filesystem
                  Do not cross filesystem boundaries, and do not cre
                  ate directory stubs at mount points.

           -l, --local
                  Do not recurse into subdirectories, but create  the
                  directories themselves.

           -L, --strict-local
                  Do not recurse into subdirectories, and do not cre
                  ate directories.

           -F, --file
                  Indicates that  INPUT  may  not  necessarily  be  a
                  directory;  this allows operation on a single file.
                  Note especially that if -F is specified, and  INPUT
                  is  a  symlink,  the  symlink itself will be copied
                  rather than whatever it happens to point to.

           -s, --sloppy
                  Treat file modes, times and ownership data as  less
                  Display a brief help message.

           -w, --version
                  Display the release version.

## BUGS

           Long  options (beginning with --) may not work on all sys
           tems.  See the message printed out by mkzftree -h  to  see
           if this applies to your system.

           Inode  change  times  (ctimes)  are not copied.  This is a
           system limitation and applies to all file copy programs.

           If  using  the  parallel  option  (-z)  the  access  times
           (atimes)  on  directories may or may not be copied.  If it
           is important that the atimes  on  directories  are  copied
           exactly, avoid using -z.

## AUTHOR

           Written by H. Peter Anvin <hpa@zytor.com>.

## COPYRIGHT

           Copyright © 2001 H. Peter Anvin.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           mkisofs(8)

    zisofs-tools               30 July 2001               MKZFTREE(1)